package org.zipcoder.store;

import java.util.Objects;

public class User {

    private long id;
    private String name;

    public User(){}

    public User(long id) {
        this.id = id;
    }

    public User(String name) {
        this.name = name;
    }

    public User(long id, String name){
        this.id = id;
        this.name = name;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean equals(User u){
        if (this == u) return true;
        if (u == null || getClass() != u.getClass()) return false;
        if (u.name == null && this.name == null) {
            if (u.id == this.id) return true;
        } else if (u.id == this.id && u.name.equals(this.name)) return true;
        return false;
    }

    public int hashCode(){
        return Objects.hash(id,name);
    }
}
